Subject: Re: [bug#29856] [PATCH core-updates] guix: python-build-system: Modify ".py" files in-place.

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 31 Dec 2017 18:17:55 +0100

Hi Marius,

On Sun, 31 Dec 2017 16:02:30 +0100
Marius Bakke <[email-masked]> wrote:

> I wonder if this will fix <https://bugs.gnu.org/29824>.  "meson" is not
> installed with a .py extension

That bugreport sounds as if the searched-for program is "meson.py".  But I tried to install meson while having 29856 applied.  Doesn't work.

>, but I guess we can call wrap-program* on it.

If you made sure the original wrapping thing didn't run, yeah.  That's why I did such an intrusive fix in the first place.

> Would it work to peek at the shebang instead of the file extension?

Probably, but I wanted it to be dead easy for core-updates.

Not sure whether, if we examined the content, there would be any false positives, empty files, dangling symlinks, special files etc which would need special handling.  Every change there rebuilds for several hours on my machine, so I'd like a sure-to-work block even when testing :)